/*
 * Copyright (C) 2016 Texas Instruments Incorporated - http://www.ti.com/ 
 * 
 * 
 *  Redistribution and use in source and binary forms, with or without 
 *  modification, are permitted provided that the following conditions 
 *  are met:
 *
 *    Redistributions of source code must retain the above copyright 
 *    notice, this list of conditions and the following disclaimer.
 *
 *    Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the 
 *    documentation and/or other materials provided with the   
 *    distribution.
 *
 *    Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
 *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
 *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT 
 *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
 *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT 
 *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT 
 *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
 *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
*/

#define NX 100
#define NH 16
#define FNAME "t6"
#define MAXERROR 10

DATA x[NX] ={
16647,
10692,
25132,
-14932,
-5281,
-18810,
-30435,
-27449,
22974,
-10473,
-2219,
27116,
-17788,
23726,
10264,
25636,
-778,
32285,
-8302,
2056,
-20886,
127,
-5100,
10513,
11380,
29971,
-20194,
-25480,
4263,
30747,
-31212,
24262,
-31007,
1279,
-20166,
14135,
-16340,
28433,
-23778,
1417,
25899,
28992,
-10808,
-4105,
-1891,
-22983,
-23864,
2129,
14797,
-6639,
-9279,
-14072,
24158,
8284,
-16963,
31331,
9207,
-17705,
11883,
10867,
-23940,
-31294,
-15585,
-25133,
-28226,
23129,
-20950,
-30644,
15330,
2393,
-14679,
-8621,
-31924,
25506,
23987,
-16106,
4553,
-22331,
6184,
-11070,
10394,
23831,
4431,
31488,
19125,
-22768,
21825,
-20195,
9108,
11075,
17831,
-7877,
-3829,
-1111,
7084,
-21234,
-32636,
19020,
891,
-18794,
};

#pragma DATA_SECTION(h,".coeffs")
DATA h[NH] ={ /* b0 b1 b2 ... b(NH-1) */
-3418,
-2954,
-798,
-796,
-3856,
3807,
-3017,
-997,
-1629,
-2857,
3418,
-1528,
2016,
-768,
-864,
47,
};

#pragma DATA_SECTION(db,".dbuffer")
DATA db[NH+2] ;

DATA rtest[NX] ={
-1736,
-2616,
-3990,
-1372,
-933,
2868,
2113,
9378,
-3306,
655,
3173,
-2456,
1913,
4811,
-1515,
-6392,
1043,
-14989,
3101,
-7506,
4425,
-1740,
-1236,
-1123,
-3454,
-4844,
-1747,
6979,
-433,
-1737,
2248,
-2645,
-4542,
1950,
9106,
-2022,
8390,
-8709,
2883,
1175,
-1387,
-1687,
-1241,
-927,
-5625,
5668,
2839,
5298,
-6759,
2366,
557,
4091,
739,
3044,
828,
-2849,
-9027,
3174,
2132,
-7733,
6350,
1254,
2003,
6028,
6578,
5097,
25,
8252,
6497,
-1525,
11649,
3021,
1626,
3523,
-4617,
4981,
1670,
-4693,
7416,
3532,
-2144,
2472,
-13599,
2054,
-6800,
-550,
4747,
-10274,
3365,
-4703,
-10459,
4970,
-7970,
5237,
-538,
453,
7733,
-5971,
590,
4190,
};

DATA r[NX];
